diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
index 23dedda8e..f10bde48f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
@@ -835,8 +835,8 @@ class ExclusionConstraintView(PGChildNodeView):
         # Check if pgstattuple extension is already created?
         # if created then only add extended stats
         status, is_pgstattuple = self.conn.execute_scalar("""
-        SELECT (count(extname) > 0) AS is_pgstattuple
-        FROM pg_extension
+        SELECT (pg_catalog.count(extname) > 0) AS is_pgstattuple
+        FROM pg_catalog.pg_extension
         WHERE extname='pgstattuple'
         """)
         if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
index 0eb50597e..f7cb5d245 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
@@ -917,8 +917,8 @@ class IndexConstraintView(PGChildNodeView):
         # Check if pgstattuple extension is already created?
         # if created then only add extended stats
         status, is_pgstattuple = self.conn.execute_scalar("""
-        SELECT (count(extname) > 0) AS is_pgstattuple
-        FROM pg_extension
+        SELECT (pg_catalog.count(extname) > 0) AS is_pgstattuple
+        FROM pg_catalog.pg_extension
         WHERE extname='pgstattuple'
         """)
         if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
index e9e0cae5f..31103f0dc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
@@ -947,8 +947,8 @@ class IndexesView(PGChildNodeView, SchemaDiffObjectCompare):
             # Check if pgstattuple extension is already created?
             # if created then only add extended stats
             status, is_pgstattuple = self.conn.execute_scalar("""
-            SELECT (count(extname) > 0) AS is_pgstattuple
-            FROM pg_extension
+            SELECT (pg_catalog.count(extname) > 0) AS is_pgstattuple
+            FROM pg_catalog.pg_extension
             WHERE extname='pgstattuple'
             """)
             if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/__init__.py
index 94a2461bc..a69c10665 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/__init__.py
@@ -699,7 +699,7 @@ class SubscriptionView(PGChildNodeView, SchemaDiffObjectCompare):
         )
         # create a cursor
         cur = conn.cursor()
-        cur.execute('SELECT pubname from pg_publication')
+        cur.execute('SELECT pubname from pg_catalog.pg_publication')
 
         publications = cur.fetchall()
         # Close the connection
diff --git a/web/pgadmin/browser/server_groups/servers/roles/__init__.py b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
index 3fbdd8d48..b62e7fe38 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
@@ -831,7 +831,7 @@ rolmembership:{
             )
 
         status, rid = self.conn.execute_scalar(
-            "SELECT oid FROM pg_roles WHERE rolname = %(rolname)s",
+            "SELECT oid FROM pg_catalog.pg_roles WHERE rolname = %(rolname)s",
             {'rolname': self.request['rolname']}
         )
 
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py b/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
index 2cfc46822..4b82b9853 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
@@ -8,6 +8,7 @@
 ##########################################################################
 import os
 
+import jinja2
 from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
 from regression.python_test_utils.sql_template_test_base import \
@@ -68,6 +69,7 @@ class TestRoleDependenciesSql(SQLTemplateTestBase):
                                  "depends", self.server['type'])
         template_file = self.get_template_file(version, file_path,
                                                "role_dependencies.sql")
+        jinja2.filters.FILTERS['qtLiteral'] = lambda value: "NULL"
         template = file_as_template(template_file)
         sql = template.render(
             where_clause="WHERE dep.objid=%s::oid" % self.table_id)
diff --git a/web/pgadmin/dashboard/__init__.py b/web/pgadmin/dashboard/__init__.py
index 4ae1220fd..018087c2b 100644
--- a/web/pgadmin/dashboard/__init__.py
+++ b/web/pgadmin/dashboard/__init__.py
@@ -440,7 +440,7 @@ def cancel_query(sid=None, did=None, pid=None):
     :param pid: session/process id
     :return: Response
     """
-    sql = "SELECT pg_cancel_backend({0});".format(pid)
+    sql = "SELECT pg_catalog.pg_cancel_backend({0});".format(pid)
     status, res = g.conn.execute_scalar(sql)
     if not status:
         return internal_server_error(errormsg=res)
@@ -467,7 +467,7 @@ def terminate_session(sid=None, did=None, pid=None):
     :param pid: session/process id
     :return: Response
     """
-    sql = "SELECT pg_terminate_backend({0});".format(pid)
+    sql = "SELECT pg_catalog.pg_terminate_backend({0});".format(pid)
     status, res = g.conn.execute_scalar(sql)
     if not status:
         return internal_server_error(errormsg=res)
diff --git a/web/pgadmin/tools/sqleditor/__init__.py b/web/pgadmin/tools/sqleditor/__init__.py
index e0817e2c0..37cc89c50 100644
--- a/web/pgadmin/tools/sqleditor/__init__.py
+++ b/web/pgadmin/tools/sqleditor/__init__.py
@@ -609,8 +609,8 @@ def fetch_pg_types(columns_info, trans_obj):
 
     if oids:
         status, res = default_conn.execute_dict(
-            "SELECT oid, format_type(oid, NULL) AS typname FROM pg_type "
-            "WHERE oid IN %s ORDER BY oid;", [tuple(oids)]
+            "SELECT oid, pg_catalog.format_type(oid, NULL) AS typname FROM "
+            "pg_catalog.pg_type WHERE oid IN %s ORDER BY oid;", [tuple(oids)]
         )
 
         if not status:
